{% extends "base.html" %}

{% block content %}
    <div class="row">
        <div class="col-6">
            <form class="text-center border border-light p-5" action="" method="post">
                {{ form.hidden_tag() }}
                <p class="h4 mb-4">{{ title }}</p>

                <hr>

                <!-- Login: Username -->
                {% if form.username.errors %}
                    {{ form.username(size=15, class="form-control mt-4 is-invalid", placeholder="Username", tabindex=1, autofocus=true) }}
                    <div class="invalid-feedback">{{ form.username.errors[0] }}</div>
                {% else %}
                    {{ form.username(size=15, class="form-control mt-4", placeholder="Username", tabindex=1, autofocus=true) }}
                {% endif %}

                <!-- Login: Password -->
                {% if form.password.errors %}
                    {{ form.password(size=15, class="form-control mt-4 is-invalid", placeholder="Password", tabindex=2) }}
                    <div class="invalid-feedback">{{ form.password.errors[0] }}</div>
                {% else %}
                    {{ form.password(size=15, class="form-control mt-4", type="password", placeholder="Password", tabindex=2) }}
                {% endif %}
                <br>
                <!-- Send button -->
                {{ form.submit(class="btn btn-primary btn-block") }}

            </form>
        </div>
    </div>
{% endblock %}